php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #40268 PHP make install failed to create
Submitted: 2007-01-29 08:33 UTC Modified: 2007-02-17 01:00 UTC
Votes:9
Avg. Score:4.8 ± 0.6
Reproduced:3 of 3 (100.0%)
Same Version:2 (66.7%)
Same OS:2 (66.7%)
From: thomastja at gmail dot com Assigned:
Status: No Feedback Package: Compile Failure
PHP Version: 4.4.4 OS: Aix 5.3
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: thomastja at gmail dot com
New email:
PHP Version: OS:

 

 [2007-01-29 08:33 UTC] thomastja at gmail dot com
Description:
------------
Any input will be welcome.

I am trying to compile PHP in the following env.
Aix 5.3, Apache 2.2.3, PHP 4.4.4, gcc version 4.0.0,
libtool 1.5.22

I run the following configure command

./configure --prefix=/fpx/usr/php 
--with-apxs2=/fpx/usr/apache/bin/apxs 
--with-config-file-path=/fpx/usr/apache/conf 
--enable-shared

completed successfully.

./make 

completed successfully

./make install 

failed with errors





Reproduce code:
---------------
bash-3.00# make install 
/fpx/usr/apache/build/instdso.sh SH_LIBTOOL='/fpx/usr/apache/build/libtool' libphp4.la /fpx/usr/apache/modules
libtool: install: warning: remember to run `libtool --finish /fpx/install/php/php-4.4.4/libs'
chmod 755 /fpx/usr/apache/modules/libphp4.so
chmod: failed to get attributes of `/fpx/usr/apache/modules/libphp4.so': A file or directory in the path name does not exist.
apxs:Error: Command failed with rc=65536
.
make: *** [install-sapi] Error 1

Expected result:
----------------
Successfull compile of PHP and creation of 

Actual result:
--------------
make install failed with error.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-01-29 08:49 UTC] tony2001@php.net
What compiler & linker did you use?
 [2007-01-29 11:19 UTC] thomastja at gmail dot com
# gcc -v
Using built-in specs.
Target: powerpc-ibm-aix5.3.0.0
Configured with: ../configure --with-as=/usr/bin/as --with-ld=/usr/bin/ld --disable-nls --enable-languages=c,c++ --prefix=/opt/freeware --enable-threads --enable-version-specific-runtime-libs --host=powerpc-ibm-aix5.3.0.0
Thread model: aix
gcc version 4.0.0

# ld -V
ld: LD 1.64 (08/19/2003)

# /fpx/usr/apache/build/libtool --version
ltmain.sh (GNU libtool) 1.5.22 (1.1220.2.365 2005/12/18 22:14:06)

Hope the info helps.
All comments are welcome.
 [2007-01-29 11:28 UTC] thomastja at gmail dot com
I retry the whole setup with php-5.2.0
and got the following during the make install

Installing PHP SAPI module:       apache2handler
/fpx/usr/apache/build/instdso.sh SH_LIBTOOL='/fpx/usr/apache/build/libtool' libphp5.la /fpx/usr/apache/modules
rm -f /fpx/usr/apache/modules/libphp5.so
/fpx/usr/apache/build/libtool --mode=install cp libphp5.la /fpx/usr/apache/modules/
cp .libs/libphp5.a /fpx/usr/apache/modules/libphp5.a
cp .libs/libphp5.lai /fpx/usr/apache/modules/libphp5.la
libtool: install: warning: remember to run `libtool --finish /fpx/install/php/php-5.2.0/libs'
chmod 755 /fpx/usr/apache/modules/libphp5.so
chmod: /fpx/usr/apache/modules/libphp5.so: A file or directory in the path name does not exist.
apxs:Error: Command failed with rc=65536
.
make: 1254-004 The error code from the last command is 1.

>><<

ls of php libs return

bash-3.00# ls -al libs
total 38528
drwxr-xr-x   2 root     system          256 Jan 29 19:19 .
drwxr-xr-x  18 1002     1002           4096 Jan 29 19:19 ..
-rw-r--r--   1 root     system     19717099 Jan 29 19:19 libphp5.a
-rw-r--r--   1 root     system         1429 Jan 29 19:19 libphp5.la 

>><<<
It seems to me that libtool is failing to create the libphp5.so. Any idea why ?
 [2007-01-29 21:23 UTC] tony2001@php.net
One of the possible reasons is your LD.
Try with GNU ld, please.
 [2007-01-30 04:26 UTC] thomastja at gmail dot com
I have install the GNU ld

bash-3.00# ld -version
GNU ld version 2.14 20030612

and found that it produce the same result.
 [2007-01-30 09:06 UTC] tony2001@php.net
Are you sure GNU ld was used in the build?
Do you see any error messages that might be related to the problem?
 [2007-01-31 01:17 UTC] thomastja at gmail dot com
I retry again using the following: 
Apache_1.3.37 with php-4.4.4
and the make install was successfull.

So I clean up the system and retry again using
Apache_2.2.3 and php-4.4.4
but this time the make install failed with
apxs:Error: Command failed with rc=65536

I think my env is ok and suspect the error
is with apache 2 and php 4 make install.
Have anyone got this mix working?
 [2007-01-31 13:12 UTC] tony2001@php.net
Works just fine with PHP 5.2, Apache 2.2.4, GCC 3.4.5 and native LD on AIX 5.1. 
 [2007-02-08 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 [2007-02-09 08:58 UTC] thomastja at gmail dot com
Have anyone tried the same on Aix 5.3
 [2007-02-09 10:18 UTC] tony2001@php.net
Yes, I did. It works fine on AIX 5.3 as well.
 [2007-02-17 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 [2009-05-05 10:04 UTC] ivan-q at o2 dot pl
I'm having same problem on AIX5.3. Trying to install PHP-5.2.6 with Apache. Everything compiles succesfully, but `make install` fails.
#make install
Installing PHP SAPI module:       apache2handler
/usr/local/apache/build/instdso.sh SH_LIBTOOL='/usr/local/apache/build/libtool' libphp5.la /usr/local/apache/modules
rm -f /usr/local/apache/modules/libphp5.so
/usr/local/apache/build/libtool --mode=install cp libphp5.la /usr/local/apache/modules/
cp .libs/libphp5.lai /usr/local/apache/modules/libphp5.la
cp .libs/libphp5.a /usr/local/apache/modules/libphp5.a
chmod 644 /usr/local/apache/modules/libphp5.a
ranlib /usr/local/apache/modules/libphp5.a
libtool: install: warning: remember to run `libtool --finish /usr/local/php-5.2.6/libs'
Warning!  dlname not found in /usr/local/apache/modules/libphp5.la.
Assuming installing a .so rather than a libtool archive.
chmod 755 /usr/local/apache/modules/libphp5.so
chmod: /usr/local/apache/modules/libphp5.so: A file or directory in the path name does not exist.
apxs:Error: Command failed with rc=65536
.
make: *** [install-sapi] Error 1



Using GNU make, and native ld, ./configure gives following output:
-= snip =-
Configuring libtool
checking build system type... powerpc-ibm-aix5.3.0.0
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... no     <=== !!!!
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /opt/freeware/bin//nm -B
checking how to recognise dependent libraries... pass_all
checking for object suffix... o
checking for executable suffix... no
checking the maximum length of command line arguments... 8192
checking command to parse /opt/freeware/bin//nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc static flag  works... yes
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... 
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes    <=== !!!!
checking dynamic linker characteristics... aix5.3.0.0 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... no
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes    <=== !!!!
checking whether to build static libraries... no
-= snip =-




When using GNU ld (gld) 
  bash-3.2# /opt/freeware/bin/gld --version
  GNU ld version 2.14 20030612
./configure gives following output
-= snip =-
Configuring libtool
checking build system type... &#8211;-prefix=/usr/local/php
checking for ld used by gcc... /opt/freeware/bin/gld
checking if the linker (/opt/freeware/bin/gld) is GNU ld... yes     <=== !!!!
checking for /opt/freeware/bin/gld option to reload object files... -r
checking for BSD-compatible nm... /usr/linux/bin/nm -B
checking how to recognise dependent libraries... unknown
checking for object suffix... o
checking for executable suffix... no
checking the maximum length of command line arguments... 8192
checking command to parse /usr/linux/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc static flag  works... yes
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/opt/freeware/bin/gld) supports shared libraries... no    <=== !!!!
checking dynamic linker characteristics... no
checking how to hardcode library paths into programs... unsupported
checking whether stripping libraries is possible... no
checking if libtool supports shared libraries... no
checking whether to build shared libraries... no    <=== !!!!
checking whether to build static libraries... yes

-= snip =-
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Wed Apr 17 22:01:26 2024 UTC